#!/bin/sh
script_dir=$(dirname $0)
source "$script_dir/error_codes.sh"

# locals
TYPE="NOR FLASH Test:"
CHECK_PHRASE="Finished pass 1 successfully"
OUT0="/tmp/nor0_test_tmp"
OUT1="/tmp/nor1_test_tmp"

echo "Testing writing to NOR Flash Chip Select 0"
nandtest /dev/mtd0 | tee $OUT0

echo "Testing writing to NOR Flash Chip Select 1"
nandtest -l 0x40000 /dev/mtd6 | tee $OUT1

echo
printf %-30s "$TYPE" | tee -a $RESULTS

if ( grep -q "$CHECK_PHRASE" $OUT0 ) &&  ( grep -q "$CHECK_PHRASE" $OUT1 ); then
	echo "PASSED" | tee -a $RESULTS
else
	echo "FAILED" | tee -a $RESULTS
	partial_fail "ERR50-1 Error reading/writing NOR"
fi

# Clean up
rm $OUT0 $OUT1

