#!/bin/sh
#
# This script copies the necessary files to the USB flash
# drives to prepare the fixture for testing modules.

die()
{
    echo $@
    exit 1
}
script_dir=$(dirname $0)

usbMount="/mnt"

#unmount the USB drive if they are already there...
umount $usbMount
#format to ext2...
mke2fs -j /dev/sda1 -L USB1 || die "Failed to format USB1"
#force do not check the file system
tune2fs -c 0 /dev/sda1
#remount them
mount /dev/sda1 $usbMount || die "Failed to mount USB1"
#copy their files
cp randFileUSB10k $usbMount || die "Failed to copy file to USB1"
sync

#unmount them to finish any writes
umount $usbMount 

${script_dir}/usb_test.sh

