#!/bin/sh
# Starts and stops nanohs application.
#

function usage()
{
	echo "Usage: $0 GpioNumber [out [1,0] OR in]"
}

if [ "$#" -lt "2" ]
then
	usage
fi

for i in 167 168 169 170
do
	if [ ! -e /sys/class/gpio/gpio$i ]
	then
		echo $i > /sys/class/gpio/export
	fi
done

gpio=-1
case $1 in
	0)
		gpio=167
	;;
	1)
		gpio=168
	;;
	2)
		gpio=169
	;;
	3)
		gpio=170
	;;
	*)
		gpio=-1
	;;
esac

if [ "$gpio" = "-1" ]
then
	echo "GpioNumber must be 0 - 3, inclusive"
	exit 0
fi

echo $2 > /sys/class/gpio/gpio$gpio/direction

if [ $2 = "in" ]
then
	echo -n "Value: "
	cat /sys/class/gpio/gpio$gpio/value
elif [ "$#" -lt "3" ]
then
	usage
else
	echo $3 > /sys/class/gpio/gpio$gpio/value
fi
